Subject: [Sipping] Initiating TLS from behind a firewall&nat

From: Petróczi Attila <[email-masked]>
Date: Wed, 7 Apr 2004 13:54:20 +0200

Hi All,

does anybody know about some standard for initiating a TLS connection from behind a firewall with NAT?

In details: Our client is sitting behind a firewall with NAT and wants to connect to a SIP UA somewhere on the Internet. We have an http/https proxy installed on the firewall&nat device. 

Our client first has to build up a TCP connection through the proxy to the other SIP device before starting the TLS handshake to secure the channel. For example in case of https the browser sends a plain connect message to the 443 port of the distant https server before starting the TLS handshake on a new socket layered over the TCP socket. What about SIP?

I think we may send an INFO message to build up the TCP connection, and after the TLS handshake can we send our first INVITE message through the secured TLS channel. Am I right? 

I have found http://www.jdrosen.net/papers/draft-rosenberg-sip-entfw-01.txt and 
http://ncl.cgu.edu/publications/paulsamy_chatterjee.PDF, but they do not deal with such details. 

Best regards,

Attila
 
Attila Petróczi
T-Systems RIC Kft.
H-1097 Budapest, Könyves Kálmán krt. 12-14.
Telefon: +36 1 456 5361
Fax: +36 1 456 5499
mailto:HYPERLINK "mailto:[email-masked]"[email-masked] <mailto:HYPERLINK > 
www.t-systems.co.hu <file:///C:/Documents%20and%20Settings/apetroczi/Application%20Data/Microsoft/Signatures/www.t-systems.co.hu> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP